import type { ServerOptions } from 'vite'
import { loadEnv } from 'vite'

const env = loadEnv('development', process.cwd(), '')

const server: ServerOptions = {
  proxy: {
    '^/?(api|file)/': {
      target: env.VITE_APP_API_HOST,
    },
  },
}

export default server
